#!/bin/bash

width=`stty size | cut -d" " -f2`

function line_break
{
	for ((  j = 0 ;  j < $width;  j++  ))
		do
		echo -n "="
		done
	echo
}

echo -e "\n \n \n"

echo "make sure you are running this script with sudo privileges..."

line_break

sleep 2

echo "installing pd in /usr/lib/pd-extended folder..."
cd ../pd/src/
sudo make install 2> /dev/null
sudo ln -s /usr/include/pdextended/* /usr/include/
echo "done."

line_break

echo "copying additional externals and abstractions..."
cd ../../packages/linux_make/build/usr/lib/pd-extended
sudo cp -r extra/ /usr/lib/pd-extended/
sudo cp -r doc/ /usr/lib/pd-extended/

cd ../../bin
sudo cp cyclist /usr/bin
cd ../../../../../externals/loaders/libdir
sudo make install
echo "done."

line_break

echo "copying l2ork-specific files..."
cd ../../../
sudo cp -r l2ork/externals/* /usr/local/lib/pd/
sudo cp l2ork/default.pdextended /usr/lib/pd-extended/
echo "done."

line_break

echo "adjusting help-file locations (this may produce a few errors--please ignore them for right now until we make the script cleaner)..."
cd /usr/lib/pd-extended/extra

i=0

declare -a folders

for file in *; do
	if [ -d $file ]; then
		outcome=`find $file/*-help* 2> /dev/null`
		if [ ! -n "$outcome" ]; then
			folders[$i]=$file
			i=$(( $i + 1 ))
		fi
	fi
done

for name in ${folders[@]}; do
	# echo $name
	sudo cp -r /usr/lib/pd-extended/doc/5.reference/$name/*help.pd /usr/lib/pd-extended/extra/$name/ 2> /dev/null
done
echo "done."

line_break

echo -e "all finished. \n \ndon't forget to adjust your desktop shortcuts in the Applications->Sound & Video, as well as the launch bar by replacing 'pd' with 'pdextended'. \n \nfor L2Ork machines make sure to also remove compiz-fix.sh from the Video version of pd shortcut in the Applications menu."

line_break

echo -e "namaste \n \n"

exit 0
